{% extends "templates/page.njk" %}
{% from "packages/components/button/macro.njk" import button %}
{% from "govuk/components/summary-list/macro.njk" import govukSummaryList %}
{% from "macros/hce-summary-table.njk" import hceSummaryTable %}

{% block pageContent %}
<div class="nhsuk-grid-row">
  <div class="nhsuk-grid-column-one-half">
    {# Certificate details #}
      {{ hceSummaryTable({
        text: { heading: tables.certificateDetails.title, link: tables.certificateDetails.link },
        url: editCertificateLink,
        rows: certificateDetailsData
      }) }}
  </div>

  {# Personal details #}
  <div class="nhsuk-grid-column-one-half">
    {% if showEditPersonalDetails %}
      {{ hceSummaryTable({
        text: { heading: tables.personalDetails.title, link: tables.personalDetails.link },
        url: editCitizenLink,
        rows: personalDetailsData
      }) }}
    {% else %}
      {{ hceSummaryTable({
        text: { heading: tables.personalDetails.title },
        rows: personalDetailsData
      }) }}
    {% endif %}
  </div>

  {# Audit History #}
  <div class="nhsuk-grid-column-one-half">
    {{ hceSummaryTable({
      text: { heading: tables.auditHistory.title },
      tableData: auditHistoryData
    }) }}
  </div>

  {# Notes #}
  <div class="nhsuk-grid-column-one-half">
    {{ hceSummaryTable({
      text: { heading: tables.notes.title, link: tables.notes.link },
      url: addNoteLink,
      tableData: notesData
    }) }}
  </div>
</div>

{# Buttons #}
<div class="form-group">
  {# back #}
  {{ button({
    text: backButtonText,
    href: contextPath + "/search-results",
    classes: "hce-telesales-blue-button",
    preventDoubleClick: true,
    attributes: {
      id: 'back-button'
    }
  }) }}
  {# reissue #}
  {% if showReissue %}
    {{ button({
      text: reissueButtonText,
      href: contextPath + "/" + reference + "/reissue",
      classes: "hce-telesales-blue-button",
      preventDoubleClick: true,
      attributes: {
        id: 'reissue-button'
      }
    }) }}
  {% endif %}
  {# cancel #}
  {{ button({
    text: cancelButtonText,
    href: contextPath + "/",
    classes: "hce-telesales-blue-button",
    preventDoubleClick: true,
    attributes: {
      id: 'cancel-button'
    }
  }) }}
</div>
{% endblock %}